Skip to main content
GET
/
api
/
v1
/
responses
curl "https://app.demeterrr.com/api/v1/responses?survey_id=990e8400-e29b-41d4-a716-446655440000" \
  -H "X-API-Key: dem_your_key_here"
{
  "data": [
    {
      "id": "aa0e8400-e29b-41d4-a716-446655440000",
      "surveyId": "990e8400-e29b-41d4-a716-446655440000",
      "contactId": "550e8400-e29b-41d4-a716-446655440000",
      "npsScore": 9,
      "isPromoter": true,
      "status": "completed",
      "createdAt": "2026-02-10T14:00:00.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 50,
    "total": 342,
    "totalPages": 7
  }
}

Authentication

Requires responses:read scope.

Query Parameters

survey_id
string
Filter by survey UUID
contact_id
string
Filter by contact UUID
location_id
string
Filter by location UUID
rating_min
integer
Minimum rating (0-10 for NPS, 1-5 for CSAT)
rating_max
integer
Maximum rating
date_from
string
Start date (ISO 8601)
date_to
string
End date (ISO 8601)
curl "https://app.demeterrr.com/api/v1/responses?survey_id=990e8400-e29b-41d4-a716-446655440000" \
  -H "X-API-Key: dem_your_key_here"
{
  "data": [
    {
      "id": "aa0e8400-e29b-41d4-a716-446655440000",
      "surveyId": "990e8400-e29b-41d4-a716-446655440000",
      "contactId": "550e8400-e29b-41d4-a716-446655440000",
      "npsScore": 9,
      "isPromoter": true,
      "status": "completed",
      "createdAt": "2026-02-10T14:00:00.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 50,
    "total": 342,
    "totalPages": 7
  }
}